Package com.databricks.jdbc.api.impl

## Class DatabricksGeography

- java.lang.Object
- - com.databricks.jdbc.api.impl.AbstractDatabricksGeospatial
  - - com.databricks.jdbc.api.impl.DatabricksGeography

All Implemented Interfaces:
  `IDatabricksGeospatial`, `IGeography`

    public class DatabricksGeography
    extends AbstractDatabricksGeospatial
    implements IGeography

### Constructor Summary

Constructors
`DatabricksGeography​(String wkt, int srid)` Constructs a DatabricksGeography with the specified WKT and SRID.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getType()` Returns the data type of the geospatial object.

### Methods inherited from class com.databricks.jdbc.api.impl.AbstractDatabricksGeospatial

`equals, getSRID, getWKB, getWKT, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.IDatabricksGeospatial

`getSRID, getWKB, getWKT`

### Constructor Detail

#### DatabricksGeography

    public DatabricksGeography​(String wkt,
                               int srid)
                        throws DatabricksValidationException

Constructs a DatabricksGeography with the specified WKT and SRID.

Parameters:
  `wkt` - the Well-Known Text representation of the geography
  `srid` - the Spatial Reference System Identifier
Throws:
  `DatabricksValidationException` - if the WKT is invalid

### Method Detail

#### getType

    public String getType()

Description copied from class: `AbstractDatabricksGeospatial`
Returns the data type of the geospatial object.

Specified by:
  `getType` in interface `IDatabricksGeospatial`
Specified by:
  `getType` in class `AbstractDatabricksGeospatial`
Returns:
  the type as a string, either "GEOMETRY" or "GEOGRAPHY"